Page MenuHomePhabricator

Short-circuit VersionChecker checks if the version constraint is '*'
Closed, ResolvedPublic

Description

We can probably skip a bunch of checks if the version dependency is * since we just need to check that the name is loaded.

Event Timeline

Legoktm created this task.Jun 24 2018, 9:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2018, 9:25 PM
Vvjjkkii renamed this task from Short-circuit VersionChecker checks if the version constraint is '*' to 3daaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 3daaaaaaaa to Short-circuit VersionChecker checks if the version constraint is '*'.Jul 2 2018, 10:23 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 455905 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] registration: Short-circuit if dependency constraint is '*'

https://gerrit.wikimedia.org/r/455905

Change 455905 merged by jenkins-bot:
[mediawiki/core@master] registration: Short-circuit if dependency constraint is '*'

https://gerrit.wikimedia.org/r/455905

Legoktm closed this task as Resolved.Aug 28 2018, 8:34 PM